import { h } from "@stencil/core";
import { ColorPicker } from "./color-picker";
import { DataSource } from "./data-source";
import { DataValues } from "./data-values";
import { FunnelGfx, processColor, processValues } from "./funnel-gfx";
import { Eswat2Io } from "./eswat2-io";
import { actions, state, onChange } from "../../utils";
export class FunnelApp {
    constructor() {
        this.tag = 'funnel-app';
    }
    componentDidLoad() {
        onChange('pick', processColor);
        onChange('values', processValues);
        actions.initApp();
    }
    render() {
        return (h("div", { key: 'f1b9f21b2bf00c800ee9f2903bd9c461c381986a', id: "app", class: "ds1-main" }, h(Eswat2Io, { key: '807f0c5e6bd40d849d9b04f8d279a3dcc9803b23' }), h(FunnelGfx, { key: 'ca375c49480822c51a2a3d38dbeb2f560a28a3b9' }), h(DataSource, { key: '5c0d3bed9cefe7537eb047640190a268bf0afac3', actions: actions, state: state }), h(ColorPicker, { key: '8196d0da83e5e97c0defe1007666aeb1d1873205', actions: actions, state: state }), h("hr", { key: 'cb2a3388960b109ae06fc6ea655c9a8a162408a2', class: "ml-0 mr-0" }), h(DataValues, { key: 'cef749a224c988e33178d3b2f9631cfdb8379b47', state: state })));
    }
    static get is() { return "funnel-app"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["./funnel-app.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["funnel-app.css"]
        };
    }
    static get properties() {
        return {
            "tag": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "tag",
                "reflect": false,
                "defaultValue": "'funnel-app'"
            }
        };
    }
}
